package com.muyu.cargateway.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-10-03-10:04
 * @ Version：1.0
 * @ Description：车辆获取连接地址
 * @author Lenovo
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class VehicleConnectionReq {
    /**
     * 车辆VIN
     */
    private String vehicleVin;
    /**
     * 用户名
     */
    private String username;
    /**
     * 时间戳
     */
    private String timestamp;
    /**
     * 随机数
     */
    private String nonce;

}
