package com.muyu.system.domain.req;

import com.muyu.common.core.annotation.Excel;
import com.muyu.system.domain.SysFirm;
import jakarta.validation.constraints.NotBlank;
import lombok.*;
import lombok.experimental.SuperBuilder;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class SysFirmReq extends SysFirm {

    /**
     * 用户账号
     */
    @Excel(name = "登录名称")
    private String userName;

    /** 统一社会信用代码 */
    @NotBlank(message = "统一社会信用代码不可为空")
    private String firmCreditCode;
    /**
     * 密码
     */
    private String password;


}
