package com.muyu.common.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * 会员表(SysMember)实体类
 *
 */
@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_member")
public class SysMember {
    @TableId(type = IdType.AUTO)
    private Long memberId;
    @Excel(name = "会员等级")
    private String memberName;
    @Excel(name = "可添加车辆数量")
    private Integer memberCarNum;
    @Excel(name = "可添加报文模板数量")
    private Integer memberCarType;
}

