package com.muyu.cargateway.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-28-16:37
 * @ Version：1.0
 * @ Description：创建实例的配置
 * @author Lenovo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AliServerConfig {
    /**
     * 主键
     */
    private Long id;
    /**
     * 地域ID
     */
    private String regionId;
    /**
     * 镜像ID
     */
    private String imageId;
    /**
     * 实例规格
     */
    private String instanceType;
    /**
     * 安全组ID
     */
    private String securityGroupId;
    /**
     * 虚拟交换机ID
     */
    private String vSwitchId;


}

