package com.muyu.cargateway.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-10-03-10:12
 * @ Version：1.0
 * @ Description：Mqtt服务模型
 * @author Lenovo
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MqttServerModel {
    /**
     * Mqtt服务节点
     */
    private String broker;
    /**
     * MQTT订阅主题
     */
    private String topic;
}
