package com.muyu.cargateway.service;

import com.muyu.cargateway.domain.model.MqttServerModel;
import com.muyu.cargateway.domain.req.VehicleConnectionReq;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-26-20:15
 * @ Version：1.0
 * @ Description：车辆一键操作业务层
 * @author Lenovo
 */
public interface CarOneClickOperationService {

    /**
     * 获取连接
     * @param vehicleConnectionReq 车辆连接请求参数
     * @return
     */
    MqttServerModel getConnect(VehicleConnectionReq vehicleConnectionReq);
}
