package com.muyu.system.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.common.system.domain.SysMember;
import com.muyu.system.service.SysMemberService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
/*
会员等级
 */
@RestController
@RequestMapping("/member")
public class SysMemberController {
    @Resource
    private SysMemberService service;

    /**
     * 查询会员等级列表
     */
    @GetMapping("/list")
    private Result<List<SysMember>> selectList(SysMember member) {
        return Result.success(service.selectSysMemberList(member));
    }
}
